/**
 * DevExtreme (ui/drop_down_editor/utils.js)
 * Version: 20.1.8 (build 20295-1047)
 * Build date: Wed Oct 21 2020
 *
 * Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.getPopupWidth = exports.getElementWidth = void 0;
var _window = require("../../core/utils/window");
var _window2 = _interopRequireDefault(_window);

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}
var getElementWidth = function($element) {
    if (_window2.default.hasWindow()) {
        return $element.outerWidth()
    }
};
var getPopupWidth = function(width) {
    if (null === width) {
        width = void 0
    }
    if ("function" === typeof width) {
        width = width()
    }
    return width
};
exports.getElementWidth = getElementWidth;
exports.getPopupWidth = getPopupWidth;
